Bug 1542476 - kubeadm 1.9.1 systemd dropin needs --bootstrap-kubeconfig
Summary: kubeadm 1.9.1 systemd dropin needs --bootstrap-kubeconfig
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kubernetes
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-06 12:24 UTC by Wouter Hummelink
Modified: 2018-05-16 13:05 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-23 16:00:02 UTC


Attachments (Terms of Use)

Description Wouter Hummelink 2018-02-06 12:24:49 UTC
Description of problem:
kubeadm 1.9 relies on kubelet config provided by the kubeadm package to set --bootstrap-kubeconfig=/etc/kubernetes/bootstrap-kubeconfig.conf. The absence of this option causes kubelet startup to fail.

Version-Release number of selected component (if applicable):
kubernetes-client-1.9.1-2.fc27.x86_64
kubernetes-node-1.9.1-2.fc27.x86_64
kubernetes-kubeadm-1.9.1-2.fc27.x86_64

How reproducible:
kubeadm join appears to finish correctly, however kubelet doesn't start due to missing kubeconfig.

Steps to Reproduce:
1. install kubernetes-kubeadm 
2. bootstrap a cluster using kubeadm init
3. join a node using kubeadm join command returned by kubeadm init

Actual results:
kubelet fails to start

Expected results:
kubelet bootstraps its TLS config and starts using newly generated kubeconfig.

Additional info:
https://github.com/kubernetes/release/blob/master/rpm/10-kubeadm-post-1.8.conf

Comment 1 Fedora Update System 2018-02-12 21:10:16 UTC
kubernetes-1.9.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5874f800a

Comment 2 Fedora Update System 2018-02-13 16:41:41 UTC
kubernetes-1.9.1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5874f800a

Comment 3 Fedora Update System 2018-02-23 16:00:02 UTC
kubernetes-1.9.1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Jason Brooks 2018-03-23 19:50:08 UTC
I don't think was actually fixed -- there's no --bootstrap-kubeconfig=/etc/kubernetes/bootstrap-kubeconfig.conf in https://src.fedoraproject.org/rpms/kubernetes/blob/f27/f/kubeadm.conf

Comment 5 Jan Chaloupka 2018-04-17 10:57:53 UTC
Ok, i will add the option in the next update. We are still fighting with the k8s not starting on f27+ with the latest systemd.

Comment 7 Fedora Update System 2018-05-02 11:29:50 UTC
kubernetes-1.10.1-0.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-16c8fdf9b8

Comment 8 Fedora Update System 2018-05-02 12:38:08 UTC
kubernetes-1.10.1-0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b965c4eed

Comment 9 Fedora Update System 2018-05-11 01:49:13 UTC
kubernetes-1.10.1-0.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-16 13:05:59 UTC
kubernetes-1.10.1-0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.